//CFEHeroScene - [2020-04-13 11:57:46]
#ifndef _CFEHEROSCENE_H_
#define _CFEHEROSCENE_H_

//#include "CGfxPostProcessRenderer.h"
#include "CFTTRenderHelper.h"
#include "CFTTModel.h"
#include "CFTTVector32.h"

/*
0011F4A8 CFEHeroScene::CFEHeroScene(int)
0011FA58 CFEHeroScene::~CFEHeroScene()
0011F848 CFEHeroScene::ApplySceneSettings()
0011FAB8 CFEHeroScene::PreRender(CGfxPostProcessRenderer &)
0011FB4C CFEHeroScene::RenderEnvironment(bool)
0011FDFE CFEHeroScene::RenderGlows()
0011FE00 CFEHeroScene::RenderHUD()
0011FE8C CFEHeroScene::RenderGlow(float,CFTTRenderHelper *)

0x28
*/

class CGfxPostProcessRenderer;

class CFEHeroScene {
public:
  CFEHeroScene(int);                          //0011F4A8
  ~CFEHeroScene();                            //0011FA58
  void ApplySceneSettings();                  //0011F848
  void PreRender(CGfxPostProcessRenderer&);   //0011FAB8
  void RenderEnvironment(bool);               //0011FB4C
  void RenderGlows();                         //0011FDFE
  void RenderHUD();                           //0011FE00
  void RenderGlow(float, CFTTRenderHelper*);  //0011FE8C

  CFTTModel* field_0;
  int field_4;
  int field_8;
  CFTTRenderHelper* field_C;
  CFTTVector32 vec32_10;
  int field_1C;
  int field_20;
  char field_24; //maybe bool
  char field_25;
  char field_26;
  char field_27;
};

#endif  //_CFEHEROSCENE_H_